package meerkat.mixer.mixing;

/**
 * Created by Tzlil on 12/15/2015.
 * container for switch
 */
public class Switch{

    public final int i, j, layer;
    public final boolean value;

    /**
     * constructor
     * @param i
     * @param j
     * @param layer
     * @param value the switch is on or off
     */
    public Switch(int i, int j, int layer, boolean value) {
        this.i = i;
        this.j = j;
        this.layer = layer;
        this.value = value;
    }


    @Override
    public String toString() {
        return "Switch{" +
                "i=" + i +
                ", j=" + j +
                ", layer=" + layer +
                ", value=" + value +
                '}';
    }
}
