package meerkat.voting.controller.commands;

import meerkat.protobuf.Voting.*;
import java.util.List;

/**
 * This command is registered in the controller right after the voter answered all the channel choice questions
 */
public class ChannelDeterminedCommand extends ControllerCommand {
    public List<BallotAnswer> channelChoiceAnswers;

    public ChannelDeterminedCommand(int requestIdentifier, long ballotSerialNumber, List<BallotAnswer> answers) {
        super(requestIdentifier, ballotSerialNumber);
        channelChoiceAnswers = answers;
    }
}
